import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.Popups 1.0

Dialog {
    id: networkPolicyDialog
    title: i18n.tr("Network Policy")
    text: i18n.tr("Bandwidth saving mode is a good choice for mobile data connections")
    OptionSelector {
        id: networkSelector
        // A simple enum type JS object
        // to avoid using numeric constants for ListItem index's
        property var connectionState: {'OFFLINE': 0, 'EXPENSIVE': 1, 'ONLINE': 2}
        expanded: true
        model: [i18n.tr("Offline mode"), i18n.tr("Bandwidth saving mode"), i18n.tr("Online mode")]
        onDelegateClicked: PopupUtils.close(networkPolicyDialog)
        onSelectedIndexChanged: {

            switch (selectedIndex){
            case connectionState.OFFLINE:
                imapAccess.networkWatcher.setNetworkOffline()
                break
            case connectionState.EXPENSIVE:
                imapAccess.networkWatcher.setNetworkExpensive()
                break
            case connectionState.ONLINE:
                imapAccess.networkWatcher.setNetworkOnline()
                break
            }
        }

        Component.onCompleted: {
            if (imapAccess.imapModel.isNetworkOnline) {
                networkSelector.selectedIndex = connectionState.ONLINE
            } else if (!imapAccess.imapModel.isNetworkAvailable) {
                networkSelector.selectedIndex = connectionState.OFFLINE
            } else {
                networkSelector.selectedIndex = connectionState.EXPENSIVE
            }
        }
    }
}
