#include "MailConfig.h"
#include <QDebug>
namespace Dekko {

QString MailConfig::imapHost() const
{
    return m_imapHost;
}

void MailConfig::setImapHost(const QString &imapHost)
{
    m_imapHost = imapHost;
}
int MailConfig::imapPort() const
{
    return m_imapPort;
}

void MailConfig::setImapPort(int imapPort)
{
    m_imapPort = imapPort;
}
QString MailConfig::imapMethod() const
{
    return m_imapMethod;
}

void MailConfig::setImapMethod(const QString &imapMethod)
{
    m_imapMethod = imapMethod;
}
QString MailConfig::smtpHost() const
{
    return m_smtpHost;
}

void MailConfig::setSmtpHost(const QString &smtpHost)
{
    m_smtpHost = smtpHost;
}
int MailConfig::smtpPort() const
{
    return m_smtpPort;
}

void MailConfig::setSmtpPort(int smtpPort)
{
    m_smtpPort = smtpPort;
}
int MailConfig::smtpMethod() const
{
    return (int) m_smtpMethod;
}

void MailConfig::setSmtpMethod(const MSA::Account::Method &smtpMethod)
{
    m_smtpMethod = smtpMethod;
}

void MailConfig::clear() {
    m_imapHost.clear();
    m_imapPort = 0;
    m_imapMethod.clear();
    m_smtpHost.clear();
    m_smtpPort = 0;
    m_smtpMethod = MSA::Account::Method::SMTP;
}

void MailConfig::print() {
    qDebug() << imapHost() << imapPort() << imapMethod()
             << smtpHost() << smtpPort() << (int)smtpMethod();
}

}
