#include "MailConfigUtils.h"
#include <QDebug>
#include <QUrl>
#include <QtXml/QDomDocument>
#include <QNetworkRequest>
#include <QNetworkReply>
namespace Dekko {

MailConfigUtils::MailConfigUtils()
{
    m_mailConfigFromAutoconfig = new MailConfigFromAutoconfig();
    m_mailConfigFromAutoconfigISPDB = new MailConfigFromAutoconfig();
    m_mailConfigFromAutoconfigWellKnown = new MailConfigFromAutoconfig();

    connect(m_mailConfigFromAutoconfig, SIGNAL(complete(MailConfig*)), this, SIGNAL(complete(MailConfig*)));
    connect(m_mailConfigFromAutoconfig, SIGNAL(failed()), m_mailConfigFromAutoconfigWellKnown, SLOT(config()));
    connect(m_mailConfigFromAutoconfigWellKnown, SIGNAL(complete(MailConfig*)), this, SIGNAL(complete(MailConfig*)));
    connect(m_mailConfigFromAutoconfigWellKnown, SIGNAL(failed()), m_mailConfigFromAutoconfigISPDB, SLOT(config()));
    connect(m_mailConfigFromAutoconfigISPDB, SIGNAL(complete(MailConfig*)), this, SIGNAL(complete(MailConfig*)));
    connect(m_mailConfigFromAutoconfigISPDB, SIGNAL(failed()), this, SIGNAL(failed()));
}

MailConfigUtils::~MailConfigUtils()
{
    m_mailConfigFromAutoconfig->deleteLater();
    m_mailConfigFromAutoconfigISPDB->deleteLater();
    m_mailConfigFromAutoconfigWellKnown->deleteLater();
}

void MailConfigUtils::config(QString mailAddress)
{
    QString domain = mailAddress.right(mailAddress.length() - mailAddress.indexOf("@") - 1);
    m_mailConfigFromAutoconfig->setUrl(QString("http://autoconfig.%1/mail/config-v1.1.xml").arg(domain));
    m_mailConfigFromAutoconfigWellKnown->setUrl(QString("http://%1/.well-known/autoconfig/mail/config-v1.1.xml").arg(domain));
    m_mailConfigFromAutoconfigISPDB->setUrl(QString("https://autoconfig.thunderbird.net/v1.1/%1").arg(domain));

    m_mailConfigFromAutoconfig->config();
}

}
