#include <QQuickItem>
#include <QTemporaryFile>

#include "Imap/Network/MsgPartNetAccessManager.h"

namespace Dekko {

namespace PartWidget {

class AttachmentView : public QObject
{
    Q_OBJECT
public:
    AttachmentView(QQuickItem *messageView, Imap::Network::MsgPartNetAccessManager *manager,
                   const QModelIndex &partIndex, QQuickItem *contentWidget, QQmlEngine *engine);
    QQuickItem *createItem();
public slots:
    void onOpenAttachment();
    void openDownloadedAttachment();
    void slotFileNameRequestedOnOpen(QString *);
    void onOpenFailed(QString message);
    void onOpenComplete();
private:
    QQuickItem *m_messageView;
    Imap::Network::MsgPartNetAccessManager *m_manager;
    QModelIndex m_partIndex;
    QQuickItem *m_contentWidget;
    QQmlEngine *m_engine;

    QTemporaryFile *m_tmpFile;

    QQuickItem *m_item;
};
}
}
